Rygel.MediaRenderer – librygel-renderer Reference Manual

# MediaRenderer

## Object Hierarchy:

## Description:

public class MediaRenderer : MediaDevice

This class may be used to implement in-process UPnP-AV media renderers.

Call rygel_media_device_add_interface() on the RygelMediaRenderer to allow it to render media from that network interface.

See the <link linkend="implementing-renderers">Implementing Renderers</link> section.

Namespace: Rygel
Package: librygel-renderer

## Content:

### Properties:

- public weak MediaPlayer player { construct; }

### Creation methods:

- public MediaRenderer (string title, MediaPlayer player, PluginCapabilities capabilities = NONE)
  Create a RygelMediaRenderer to render content via a RygelMediaPlayer.

### Methods:

- public override void constructed ()

### Inherited Members:

All known members inherited from class Rygel.MediaDevice

- capabilities
- plugin
- title

- add_interface
- constructed

- get_interfaces
- remove_interface

All known members inherited from class GLib.Object

- interface_find_property
- interface_install_property
- interface_list_properties
- @new
- new_valist
- newv
- new_with_properties
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating

- freeze_notify
- @get
- get_class
- get_data
- get_property
- get_qdata
- get_type
- getv
- is_floating
- notify_property
- @ref
- ref_sink
- replace_data
- replace_qdata
- remove_toggle_ref
- remove_weak_pointer
- @set

- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref
- notify
- ref_count